--[[
( 004 )

nc[NT]: haha totally ganked this from perfect dark
az[NT]: perfect dark is a p good game
nc[NT]: I like that effect at the end where all the text goes away and all you
see is naket World order.
]]

local textLen = 0;
local origTextLen = 0;

-- text color is #7777EE
local t = Def.ActorFrame{
	-- header
	Font("handelgothic", "20px")..{
		Text=ProductID().." Theme Identification";
		InitCommand=cmd(x,SCREEN_LEFT+55;y,SCREEN_CENTER_Y-70;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};
	-- top line
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+55;y,SCREEN_CENTER_Y-57;horizalign,left;zoomto,SCREEN_WIDTH*0.917,3;diffuse,color("#3F3F7F"));
	};
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+55;y,SCREEN_CENTER_Y-58;horizalign,left;zoomto,SCREEN_WIDTH*0.917,1;diffusecolor,color("#FFFFFF");diffusealpha,0.2;blend,'BlendMode_Add');
	};
	-- inset lines are x,80

	--[[ product ID ]]
	Font("handelgothic", "20px")..{
		Text="Product ID:";
		InitCommand=cmd(x,SCREEN_LEFT+80;y,SCREEN_CENTER_Y-40;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};
	Font("handelgothic", "20px")..{
		Text=themeInfo['Name'];
		InitCommand=cmd(x,SCREEN_CENTER_X*0.8;y,SCREEN_CENTER_Y-40;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};

	--[[ product code ]]
	Font("handelgothic", "20px")..{
		Text="Product Code:";
		InitCommand=cmd(x,SCREEN_LEFT+80;y,SCREEN_CENTER_Y-20;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};
	Font("handelgothic", "20px")..{
		Text=themeInfo['ProductCode'];
		InitCommand=cmd(x,SCREEN_CENTER_X*0.8;y,SCREEN_CENTER_Y-20;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};

	--[[ variant ]]
	Font("handelgothic", "20px")..{
		Text="Variant:";
		InitCommand=cmd(x,SCREEN_LEFT+80;y,SCREEN_CENTER_Y;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};
	Font("handelgothic", "20px")..{
		Text=themeInfo['Version'];
		InitCommand=cmd(x,SCREEN_CENTER_X*0.8;y,SCREEN_CENTER_Y;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};

	--[[ developer ]]
	Font("handelgothic", "20px")..{
		Text="Developer:";
		InitCommand=cmd(x,SCREEN_LEFT+80;y,SCREEN_CENTER_Y+20;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};
	Font("handelgothic", "20px")..{
		Text="NAKET Team";
		InitCommand=cmd(x,SCREEN_CENTER_X*0.8;y,SCREEN_CENTER_Y+20;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.8);
	};
	Font("handelgothic", "20px")..{
		Text="(Distribution by StepMania Underground)";
		InitCommand=cmd(x,WideScale(SCREEN_CENTER_X*1.15,SCREEN_CENTER_X*1.0875);y,SCREEN_CENTER_Y+20;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.6);
	};

	-- seperator line
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+77;y,SCREEN_CENTER_Y+34;horizalign,left;zoomto,SCREEN_WIDTH*0.917,3;diffuse,color("#3F3F7F"));
	};
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+77;y,SCREEN_CENTER_Y+33;horizalign,left;zoomto,SCREEN_WIDTH*0.917,1;diffusecolor,color("#FFFFFF");diffusealpha,0.2;blend,'BlendMode_Add');
	};

	Font("handelgothic", "20px")..{
		InitCommand=cmd(x,SCREEN_LEFT+80;y,SCREEN_CENTER_Y+48;shadowlength,0;horizalign,left);
		BeginCommand=function(self)
			local text = "Expansion Pak ";
			local postfix = SSC and "Found" or "Not Found";
			self:settext( text..postfix );
		end;
	};

	-- seperator line
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+77;y,SCREEN_CENTER_Y+62;horizalign,left;zoomto,SCREEN_WIDTH*0.917,3;diffuse,color("#3F3F7F"));
	};
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+77;y,SCREEN_CENTER_Y+61;horizalign,left;zoomto,SCREEN_WIDTH*0.917,1;diffusecolor,color("#FFFFFF");diffusealpha,0.2;blend,'BlendMode_Add');
	};

	-- giant block of small text here
	Font("handelgothic", "20px")..{
		Text=THEME:GetString("ScreenCompany","IntroText");
		-- wrap was 850px
		InitCommand=cmd(x,SCREEN_LEFT+80;y,SCREEN_CENTER_Y+68;shadowlength,0;horizalign,left;vertalign,top;diffuse,color("#7777EE");zoom,0.6;wrapwidthpixels,SCREEN_WIDTH*1.328125);
		OnCommand=cmd(playcommand,"Accu");
		AttribCommand=function(self)
			local attr = { Length = -1, Diffuses = { color("#8F91F1"),color("#8F91F1"),color("#7777EE"),color("#7777EE") } };
			self:AddAttribute(1, attr);
		end;

		-- AccuCommand: Set Accumulator (textLen)
		AccuCommand=function(self)
			textLen = string.len(self:GetText());
			origTextLen = textLen;
			self:sleep(3);
			self:linear(1);
			self:playcommand("Recur");
		end;

		-- RecurCommand: Recursion over the string
		RecurCommand=function(self)
			if textLen > 0 then
				-- continue munching the string
				local oldText = self:GetText();
				local newText = string.sub(oldText,0,textLen);

				if textLen < origTextLen then
					newText = newText .. "_"
				end;

				self:settext(newText);
				textLen = textLen - 1;
				self:sleep(origTextLen * 0.000075); -- was 0.00005
				self:queuecommand("Recur");
			else
				-- naket world order time
				self:diffusealpha(0);
				self:sleep(0.2);
				MESSAGEMAN:Broadcast("nWo");
			end;
		end;
	};
	-- naket World order
	LoadActor( THEME:GetPathB("","_nWo") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+125;diffusealpha,0);
		nWoMessageCommand=cmd(decelerate,2;diffusealpha,1);
	};

	-- final seperator line
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+77;y,SCREEN_CENTER_Y+189;horizalign,left;zoomto,SCREEN_WIDTH*0.917,3;diffuse,color("#3F3F7F"));
	};
	Def.Quad{
		InitCommand=cmd(x,SCREEN_LEFT+77;y,SCREEN_CENTER_Y+188;horizalign,left;zoomto,SCREEN_WIDTH*0.917,1;diffusecolor,color("#FFFFFF");diffusealpha,0.2;blend,'BlendMode_Add');
	};

	-- rare designs on the future <<<
	Font("handelgothic", "20px")..{
		InitCommand=cmd(x,SCREEN_LEFT+80;y,SCREEN_CENTER_Y+198;shadowlength,0;horizalign,left;diffuse,color("#7777EE");zoom,0.55);
		BeginCommand=function(self)
			local vocab = {
				SSC = { Verb = "designs on", Timeframe = "future" },
				SM4 = { Verb = "struggles with", Timeframe = "present" },
			};
			local vocabKey = SSC and "SSC" or "SM4";
			self:settext( "naket ".. vocab[vocabKey].Verb .." the ".. vocab[vocabKey].Timeframe .." <<<" );
		end;
	};

	Def.Actor{
		CodeMessageCommand=function(self,param)
			if param.Name == "RumblePak" then
				setenv("RumblePak",true);
				SCREENMAN:GetTopScreen():vibrate();
			end;
		end;
		nWoMessageCommand=function(self)
			SCREENMAN:GetTopScreen():stopeffect()
		end;
	};
};

return t;