local cloudTex = THEME:GetPathB("ScreenTitleMenu","background/_clouds");
local gapSize = 5;

local t = Def.ActorFrame{
	LoadActor("_rainbow")..{
		InitCommand=cmd(Center;texcoordvelocity,-0.65,0;diffusealpha,0;FullScreen);
		OnCommand=cmd(linear,2.5;diffusealpha,0.5;decelerate,3;diffusealpha,0;);
		OffCommand=cmd(linear,1;diffusealpha,0);
	};

	-- bottom clouds (scrolling down now)
	-- texcoordvelocity,-0.2,0;
	LoadActor(cloudTex)..{
		InitCommand=cmd(blend,'BlendMode_Add';Center;glow,color("1,1,1,0.1");diffusealpha,0.1);
		OnCommand=cmd(texcoordvelocity,0,-0.125;customtexturerect,0,0,2,1;zoomx,2;zoomy,1.05;wag;effectmagnitude,0,0,5;effectperiod,10);
		OffCommand=cmd(linear,0.1;diffusealpha,0.1);
	};

	-- texcoordvelocity,0.295,0;
	LoadActor(cloudTex)..{
		InitCommand=cmd(blend,'BlendMode_Add';Center;diffusealpha,0.05;rotationy,90);
		OnCommand=cmd(texcoordvelocity,0,0.295;customtexturerect,0,0,2,1;zoomx,2;zoomy,1.05);
		OffCommand=cmd(linear,0.1;diffusealpha,0.3);
	};

	-- top clouds
	-- texcoordvelocity,-0.5,0;
	LoadActor(cloudTex)..{
		InitCommand=cmd(blend,'BlendMode_Add';Center;rotationy,40;diffusealpha,0.075;glow,color("1,1,1,0.05"));
		OnCommand=cmd(texcoordvelocity,0,0.2;customtexturerect,0,0,2,1;zoomx,2;zoomy,1.05);
		OffCommand=cmd(linear,0.1;diffusealpha,0.075);
	};

	--[[
	-- top
	Def.Quad{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP;vertalign,top;zoomx,SCREEN_WIDTH;zoomy,0;diffuse,color("0,0,0,0.75"););
		OnCommand=cmd(zoomy,0;);
		OffCommand=cmd(linear,0.5;zoomy,SCREEN_CENTER_Y-99-gapSize;diffusebottomedge,color("0.25,0.25,0.25,0.75"));
	};
	-- bot
	Def.Quad{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM;vertalign,bottom;zoomx,SCREEN_WIDTH;zoomy,0;diffuse,color("0,0,0,0.75"););
		OnCommand=cmd(zoomy,0);
		OffCommand=cmd(linear,0.5;zoomy,SCREEN_CENTER_Y-139-gapSize;diffusetopedge,color("0.25,0.25,0.25,0.75"));
	};
	--]]
};

return t;