local t = Def.ActorFrame{
	LoadActor( THEME:GetPathB("ScreenWithMenuElements","background/_nexus") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+128;y,SCREEN_CENTER_Y;diffusealpha,0.125;blend,'BlendMode_Add');
		OnCommand=cmd(spin;effectmagnitude,0,0,-5;);
		OffCommand=cmd(decelerate,0.75;diffusealpha,0);
	};

	LoadActor( THEME:GetPathB("_NCRX","logo/_X") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		OnCommand=cmd(glowshift;effectcolor1,color("1,1,1,0");effectcolor2,color("1,1,1,0.5");effectperiod,5);
		OffCommand=cmd(linear,0.75;diffusealpha,0);
	};

	LoadActor( THEME:GetPathB("_NCRX","logo/_ncr normal") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		OnCommand=cmd(glowshift;effectcolor1,color("0.5,0.4,0,0");effectcolor2,color("1,1,1,0.35");effectperiod,5);
		OffCommand=cmd(linear,0.75;diffusealpha,0);
	};

	-- logo shading
	Def.Quad{
		InitCommand=cmd(FullScreen;diffuse,color("0,0,0,0"));
		OnCommand=cmd(linear,0.75;diffusealpha,0.25);
	};
};

return t;