-- NAKET CODER REVOLUTION X: THE CREDITS.
local function SectionCredit(text)
	return Def.ActorFrame{
		Font("mentone","24px")..{
			Text=text;
			InitCommand=cmd(shadowlength,1;diffuse,HSVA(320,0.8,1,0.9);maxwidth,SCREEN_WIDTH*0.95);
		};
	};
end;

local function RoleCredit(text)
	return Def.ActorFrame{
		Font("mentone","24px")..{
			Text=text;
			InitCommand=cmd(shadowlength,1;diffuse,HSVA(176,0.8,1,0.9);maxwidth,SCREEN_WIDTH*0.95);
		};
	};
end;

local function NameCredit(text)
	return Def.ActorFrame{
		Font("mentone","24px")..{
			Text=text;
			InitCommand=cmd(shadowlength,1;maxwidth,SCREEN_WIDTH*0.95);
		};
	};
end;

local function SpecialCredit(text,tColor)
	if not tColor then tColor = HSVA(0,0,1,1); end;
	return Def.ActorFrame{
		Font("mentone","24px")..{
			Text=text;
			InitCommand=cmd(shadowlength,1;diffuse,tColor;maxwidth,SCREEN_WIDTH*0.95);
		};
	};
end;

local function NoteCredit(text)
	return Def.ActorFrame{
		Font("mentone","24px")..{
			Text=text;
			InitCommand=cmd(shadowlength,1;zoom,0.66667;maxwidth,SCREEN_WIDTH*0.95);
		};
	};
end;

local itemSpacing = 72; -- was 96

local scroller = Def.ActorScroller{
	SecondsPerItem = 1.35;
	NumItemsToDraw = 40;
	TransformFunction = function( self, offset, itemIndex, numItems)
		self:y(itemSpacing*offset)
	end;
	InitCommand=cmd(rotationx,-50);
	OnCommand=cmd(scrollwithpadding,9,25);
	children = {
		RoleCredit("Executive Producer");
		NameCredit("NAKET Coder");
		NameCredit();
		RoleCredit("Theme Code");
		NameCredit("NAKET Coder");
		NameCredit("Anonymous Zig");
		NameCredit("synikal");
		NameCredit();
		RoleCredit("Graphics");
		NameCredit("Vacant Vagrant");
		NameCredit();
		NameCredit();
		NameCredit();
		SectionCredit("for StepMania Underground");
		NameCredit();
		RoleCredit("Head Honcho");
		NameCredit("TBCheese");
		NameCredit();
		RoleCredit("Quality Assurance & SMUG Certification");
		NameCredit("corporate");
		NameCredit();
		RoleCredit("Marketing");
		NameCredit("zombiecopter");
		NameCredit();
		NameCredit();
		NameCredit();
		SectionCredit("the other important things");
		NoteCredit("(not created by members of NAKET Team/StepMania Underground)");
		NameCredit();
		RoleCredit("Graphics");
		NameCredit("kubble");
		NoteCredit("(Options wrench from title menu | http://www.openclipart.org/detail/4556)");
		NameCredit();
		RoleCredit("Music");
		NameCredit("Grant Kirkhope");
		NoteCredit("play that music maestro");
		NoteCredit("(Music from Perfect Dark; Copyright Rare.)");
		NoteCredit("(The PD tracks may be removed in future versions.)");
		NameCredit();
		RoleCredit("Sounds");
		NameCredit("uh...");
		NoteCredit("\"I forget who made most of the sounds, actually. :x\" -NAKET Coder");
		NameCredit();
		NameCredit();
		NameCredit();
		SectionCredit("Special Thanks");
		SpecialCredit("Char");
		SpecialCredit("k//eternal");
		SpecialCredit("Koizumi");
		SpecialCredit("Midiman");
		SpecialCredit("shakesoda");
		SpecialCredit("sherl0k");
		SpecialCredit("all of the NAKET Team fans");
		NameCredit();
		SectionCredit("No Thanks");
		SpecialCredit("CNLohr and Axlecrusher",HSVA(0,1,0.925,0.9));
		NoteCredit("for assuming all SMO-capable themes use a GradeDisplay and machine score.");
		SpecialCredit("WRONG!!!!!!!!!!!",HSVA(45,0.9,1,1));
		NameCredit();
		SpecialCredit("everyone who wants SM4 to die",HSVA(0,1,0.925,0.9));
		NoteCredit("so that the inferior SM3.9 and SM3.95 can live forever.");
		NoteCredit("if you want to impede the future, that's on you.");
		NameCredit();
		NameCredit();
		NameCredit();
	};
};

return scroller;