local x = Def.ActorFrame{
	Def.Actor{
		Name="ProfileLoadController";
		BeginCommand=function(self)
			if SCREENMAN:GetTopScreen():HaveProfileToLoad() then
				self:sleep(2);
			end;
			self:queuecommand("Load");
		end;
		LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
	};
	Def.Quad{
		InitCommand=cmd(Center;zoomto,SCREEN_CENTER_X*1.5,64;diffuse,color("0,0,0,0.625");cropright,1);
		OnCommand=cmd(decelerate,1;cropright,0;bounceend,0.5;glow,color("1,1,1,0.75");zoomy,0);
	};
	Font("mentone","24px")..{
		Text="All Profiles Loaded!";
		InitCommand=cmd(Center;shadowlength,0;diffusealpha,0;);
		OnCommand=cmd(sleep,0.75;linear,0.25;diffusealpha,1;sleep,0.125;accelerate,0.25;diffuse,color("0,0,0,1"););
		OffCommand=cmd(decelerate,0.125;diffusealpha,0);
	};
};

return x;