-- todo: add credits text and other things?
local t = Def.ActorFrame {
	Def.ActorFrame {
		Def.Quad {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,32;horizalign,left;vertalign,top;y,SCREEN_TOP;diffuse,color("0,0,0,0"));
			OnCommand=cmd(finishtweening;diffusealpha,0.65;);
			OffCommand=cmd(sleep,3;linear,0.5;diffusealpha,0;);
		};
		Font("handelgothic","20px") .. {
			Name="Text";
			InitCommand=cmd(maxwidth,SCREEN_WIDTH;horizalign,left;vertalign,top;y,SCREEN_TOP+10;x,SCREEN_LEFT+10;shadowlength,1;diffusealpha,0;);
			OnCommand=cmd(finishtweening;diffusealpha,1;zoom,0.5);
			OffCommand=cmd(sleep,3;linear,0.5;diffusealpha,0;);
		};
		SystemMessageMessageCommand = function(self, params)
			self:GetChild("Text"):settext( params.Message );
			self:playcommand( "On" );
			if params.NoAnimate then
				self:finishtweening();
			end
			self:playcommand( "Off" );
		end;
		HideSystemMessageMessageCommand = cmd(finishtweening);
	};

	Def.Actor{
		Name="CoinSoundController";
		CoinsChangedMessageCommand=function(self)
			-- rewrite something
			if SSC then
				-- we're cool
				local themeDir = THEME:GetCurrentThemeDirectory();
				WriteFile("Themes/".. themeDir .."/Sounds/Common coin.redir",RandomSound());
			else
				-- assumes shit
				WriteFile("Themes/NCRX/Sounds/Common coin.redir",RandomSound());
			end;
		end;
	};
};
return t;
