local LineSpacing = 96;
local VertHeight  = 48;

return Def.ActorFrame{
	-- vert lines
	Def.Quad{
		InitCommand=cmd(x,-LineSpacing;zoomto,2,VertHeight;fadebottom,0.1;fadetop,0.1);
		GainFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFF186"));
		LoseFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFFFFF"));
		OffFocusedCommand=cmd(accelerate,0.15;zoomx,4;sleep,0.5;decelerate,0.5;diffusealpha,0);
		OffUnfocusedCommand=cmd(accelerate,0.15;zoomy,0);
	};
	Def.Quad{
		InitCommand=cmd(x,LineSpacing;zoomto,2,VertHeight;fadetop,0.1;fadebottom,0.1);
		GainFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFF186"));
		LoseFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFFFFF"));
		OffFocusedCommand=cmd(accelerate,0.15;zoomx,4;sleep,0.5;decelerate,0.5;diffusealpha,0);
		OffUnfocusedCommand=cmd(accelerate,0.15;zoomy,0);
	};

	-- horiz lines
	Def.Quad{
		InitCommand=cmd(y,-(VertHeight/2);zoomto,194,2;faderight,0.15;fadeleft,0.15);
		GainFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFF186"));
		LoseFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFFFFF"));
		OffFocusedCommand=cmd(accelerate,0.15;zoomx,4;sleep,0.5;decelerate,0.5;diffusealpha,0);
		OffUnfocusedCommand=cmd(accelerate,0.15;zoomy,0);
	};
	Def.Quad{
		InitCommand=cmd(y,(VertHeight/2);zoomto,194,2;fadeleft,0.075;faderight,0.075);
		GainFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFF186"));
		LoseFocusCommand=cmd(finishtweening;linear,0.2;diffuse,color("#FFFFFF"));
		OffFocusedCommand=cmd(accelerate,0.15;zoomx,4;sleep,0.5;decelerate,0.5;diffusealpha,0);
		OffUnfocusedCommand=cmd(accelerate,0.15;zoomy,0);
	};

	-- item background
	Def.Quad{
		InitCommand=cmd(zoomto,190,VertHeight;);
		GainFocusCommand=cmd(diffuse,color("0.35,0.35,0.35,0.8");diffusetopedge,color("0.5,0.5,0.5,0.25"));
		LoseFocusCommand=cmd(diffuse,color("0.5,0.5,0.5,0.5");diffusetopedge,color("1,1,1,0.25"));

		OffFocusedCommand=function(self)
			self:sleep(0.5);
			self:decelerate(0.5);
			self:zoomy(0);
		end;
		OffUnfocusedCommand=cmd(accelerate,0.5;zoomy,0);
	};
};