local sName = Var "GameCommand":GetName();

local t = Def.ActorFrame{
	--LoadActor( THEME:GetPathG("_shared","elements/RoundedCornerBox"), SCREEN_CENTER_X*0.475, 96, color("0.4,0.4,0.4,0.475") )..{
	LoadActor(THEME:GetPathG("_shared","elements/_generic item bg"))..{
		GainFocusCommand=cmd(bouncebegin,0.25;zoom,1;);
		LoseFocusCommand=cmd(stoptweening;bouncebegin,0.25;zoom,0.75;);
		OffUnfocusedCommand=cmd(bouncebegin,0.5;zoom,0);
	};
	-- temporary:
	Font("mentone","24px")..{
		Name="StyleLabel-"..sName;
		Text=sName;
		OnCommand=cmd(strokecolor,color("0,0,0,0.525");shadowlength,1;shadowcolor,color("0,0,0,0.55"));
		EnabledCommand=cmd(diffuse,color("1,1,1,1"));
		DisabledCommand=cmd(diffuse,color("0.5,0.5,0.5,0.75"));
		GainFocusCommand=cmd(bouncebegin,0.25;zoom,1;);
		LoseFocusCommand=cmd(stoptweening;bouncebegin,0.25;zoom,0.75;);
		OffUnfocusedCommand=cmd(bouncebegin,0.5;zoom,0);
	};
};

local masterPlayer = GAMESTATE:GetMasterPlayerNumber();
local secondaryPlayer = (masterPlayer == PLAYER_1) and PLAYER_2 or PLAYER_1

if sName == "Double" or sName == "Versus" then
	t[#t+1] = Font("mentone","24px")..{
		Name="StyleExtra-"..sName;
		Text=THEME:GetString(Var "LoadingScreen", "Extra"..pname(secondaryPlayer));
		InitCommand=cmd(y,24;zoom,0.3825;shadowlength,0;);
		OnCommand=cmd(strokecolor,color("0,0,0,0.525"));
		EnabledCommand=cmd(diffusealpha,0);
		DisabledCommand=cmd(diffusealpha,1);
		PlayerJoinedMessageCommand=function(self,param)
			self:linear(0.25);
			self:diffusealpha(0);
		end;
	};
end;

-- we only need one of these dirty tricks
if sName == "Single" then
	t[#t+1] = Def.Actor{
		CodeMessageCommand=function(self,param)
			if param.Name == "NetOptions" then
				SCREENMAN:SetNewScreen("ScreenNetworkOptions2");
			end;
		end;
	};
end;

return t;