-- ageha.lua is specific to NCRX(old). A more generalized version may exist later.
-- shit I don't even think we use this anymore, but it's good code to have around
-- for non-sm-ssc versions i guess -nak
--[[                                                                          ]]
-- SetModLine(line, pModTable)
function Actor:SetModLine( line, pModTable )
	if not line then
		return #pModTable
	end;

	local t = pModTable[line+1];
	-- types
	local graphic = self:GetChild('Graphic');
	local modtype = self:GetChild('ModType');
	local modnameS = self:GetChild('ModNameS');
	local modnameB = self:GetChild('ModNameB');
	-- end types

	if not t then return; end;

	--[[
		todo: check if the mod is percentaged
	]]
	-- set type:
	modtype:settext( GetModType(t) );

	local modstrlen = string.len(t);

	if modstrlen <= 7 and ( string.find(t, "M") == nil and string.find(t, "W") == nil ) then
		modnameB:settext(t);
		modnameS:settext("");
	else
		modnameS:settext(t);
		modnameB:settext("");
	end
end;
--[[                                                                          ]]

-- GetModType(mod)
-- returns a string representing modifier type.
function GetModType(mod)
	-- mod type table
	local ModTypes = {
		-- [player mods] --
		{
			Name = "SPEED",
			List = nil	-- "#x" and "C#"; reuse code
		},

		{
			Name = "ACCEL",
			-- XXX: add "land" and "dwiwave"?
			List = "boost brake wave expand"
		},

		{
			Name = "EFFECT",
			List = "drunk dizzy mini tiny flip invert tornado tipsy bumpy beat"
		},

		{
			Name = "APPEAR",
			-- XXX: "hiddenoffset", "suddenoffset"?
			List = "hidden sudden stealth blink randomvanish"
		},

		{ 
			Name = "TURN",
			List = "mirror left right shuffle supershuffle"
		},

		{
			Name = "INSERT",
			List = "wide big quick bmrize skippy echo planted floored twister"
		},

		{
			Name = "REMOVE",
			List = "little noholds norolls nomines nojumps nohands noquads nostretch"
		},

		{
			Name = "SCROLL",
			List = "reverse split alternate cross centered"
		},

		{
			Name = "HIDE",
			List = "dark blind cover"
		},

		-- perspective
		{
			Name = "VIEW",
			List = "overhead incoming space hallway distant"
		},

		-- [song mods] --
		{
			Name = "LIFE\nTYPE",
			List = "bar battery lifetime"
		},

		{
			Name = "BAR\nDRAIN",
			List = "norecover suddendeath power-drop"
		},

		{
			Name = "LIVES",
			List = nil -- "#lives"
		},

		{
			Name = "FAIL",
			-- XXX: "failimmediate", "failimmediatecontinue"?
			List = "failarcade failendofsong failatend failoff"
		},

		{
			Name = "ASSIST",
			-- SSS: return "clap\nmetronome" if both are on
			List = "clap metronome"
		},

		{
			Name = "RATE",
			List = "haste" -- "#.#xmusic"
		},
	};

	--[[ begin special cases ]]
	-- xMod, CMod
	if string.find(mod, "%dx") ~= nil or
	   string.find(mod, "%d%.%dx") ~= nil or
	   string.find(mod, "C%d") ~= nil then
		-- speed is index 1.
		return ModTypes[1]['Name'];
	end
	-- xMusic
	if string.find(mod, "%dxmusic") ~= nil or
	   string.find(mod, "%d%.%dxusic") ~= nil then
		-- rate is at the bottom of the table.
		return ModTypes[#ModTypes]['Name'];
	end
	-- xLives
	if string.find(mod, "%dlives") ~= nil then
		return ModTypes[#ModTypes - 3]['Name'];
	end;
	
	--[[ end special cases ]]

	-- iterate through ModTypes
	for i=1,#ModTypes do
		-- find in ModTypes[i]['List']
		if ModTypes[i]['List'] ~= nil then
			if string.find(ModTypes[i]['List'], string.lower(mod) ) ~= nil then
				return ModTypes[i]['Name'];
			end
		end;
	end;

	-- if it hasn't been found by now, it's likely a noteskin
	return "NOTE\nSKIN";
end;

-- ageha.lua by naket/synikal
-- uses code from KKI Labs (http://kki.ajworld.net/)